PulseAudio 16.1

Data Fields
pa_source_output_info Struct Reference

Stores information about source outputs. More...

`#include <introspect.h>`

## Data Fields
uint32_t | index
| Index of the source output. More...
const char * | name
| Name of the source output. More...
uint32_t | owner_module
| Index of the module this source output belongs to, or PA_INVALID_INDEX when it does not belong to any module. More...
uint32_t | client
| Index of the client this source output belongs to, or PA_INVALID_INDEX when it does not belong to any client. More...
uint32_t | source
| Index of the connected source. More...
pa_sample_spec | sample_spec
| The sample specification of the source output. More...
pa_channel_map | channel_map
| Channel map. More...
pa_usec_t | buffer_usec
| Latency due to buffering in the source output, see pa_timing_info for details. More...
pa_usec_t | source_usec
| Latency of the source device, see pa_timing_info for details. More...
const char * | resample_method
| The resampling method used by this source output. More...
const char * | driver
| Driver name. More...
pa_proplist * | proplist
| Property list. More...
int | corked
| Stream corked. More...
pa_cvolume | volume
| The volume of this source output. More...
int | mute
| Stream muted. More...
int | has_volume
| Stream has volume. More...
int | volume_writable
| The volume can be set. More...
pa_format_info * | format
| Stream format information. More...

## Detailed Description

Stores information about source outputs.

Please note that this structure can be extended as part of evolutionary API updates at any time in any new release.

## Field Documentation

## ◆ buffer_usec

pa_usec_t pa_source_output_info::buffer_usec

Latency due to buffering in the source output, see pa_timing_info for details.

## ◆ channel_map

pa_channel_map pa_source_output_info::channel_map

Channel map.

## ◆ client

uint32_t pa_source_output_info::client

Index of the client this source output belongs to, or PA_INVALID_INDEX when it does not belong to any client.

## ◆ corked

int pa_source_output_info::corked

Stream corked.

Since
  1.0

## ◆ driver

const char* pa_source_output_info::driver

Driver name.

## ◆ format

pa_format_info* pa_source_output_info::format

Stream format information.

Since
  1.0

## ◆ has_volume

int pa_source_output_info::has_volume

Stream has volume.

If not set, then the meaning of this struct's volume member is unspecified.

Since
  1.0

## ◆ index

uint32_t pa_source_output_info::index

Index of the source output.

## ◆ mute

int pa_source_output_info::mute

Stream muted.

Since
  1.0

## ◆ name

const char* pa_source_output_info::name

Name of the source output.

## ◆ owner_module

uint32_t pa_source_output_info::owner_module

Index of the module this source output belongs to, or PA_INVALID_INDEX when it does not belong to any module.

## ◆ proplist

pa_proplist* pa_source_output_info::proplist

Property list.

Since
  0.9.11

## ◆ resample_method

const char* pa_source_output_info::resample_method

The resampling method used by this source output.

## ◆ sample_spec

pa_sample_spec pa_source_output_info::sample_spec

The sample specification of the source output.

## ◆ source

uint32_t pa_source_output_info::source

Index of the connected source.

## ◆ source_usec

pa_usec_t pa_source_output_info::source_usec

Latency of the source device, see pa_timing_info for details.

## ◆ volume

pa_cvolume pa_source_output_info::volume

The volume of this source output.

Since
  1.0

## ◆ volume_writable

int pa_source_output_info::volume_writable

The volume can be set.

If not set, the volume can still change even though clients can't control the volume.

Since
  1.0

The documentation for this struct was generated from the following file:

- introspect.h